using System.Windows;

namespace RównaniaKwadratowe2
{
    /// <summary>
    /// Logika interakcji dla klasy MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //private bool oknoZainicjowane = false;

        public MainWindow()
        {
            InitializeComponent();
            //oknoZainicjowane = true;
            //TextBox_TextChanged(this, null);
        }

        /*
        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            IFormatProvider formatProvider = new System.Globalization.CultureInfo("en");

            if (!oknoZainicjowane) return;
            try
            {
                double a = double.Parse(tbA.Text, formatProvider);
                double b = double.Parse(tbB.Text, formatProvider);
                double c = double.Parse(tbC.Text, formatProvider);

                //Tuple<double, double> wyniki = znajdźPierwiastkiRównaniaKwadratowego(a, b, c);
                RozwiązywaczRównańKwadratowych rrk = new RozwiązywaczRównańKwadratowych(a, b, c);

                tbX1.Text = rrk.X1.ToString(formatProvider);
                tbX2.Text = rrk.X2.ToString(formatProvider);

                tbStatus.Text = "Istnieją rozwiązania";
                tbStatus.Foreground = Brushes.Green;
            }
            catch (Exception exc)
            {
                tbStatus.Text = exc.Message;
                tbStatus.Foreground = Brushes.Red;

                tbX1.Text = "---";
                tbX2.Text = "---";
            }
        }
        */

        /*
        private static Tuple<double,double> znajdźPierwiastkiRównaniaKwadratowego(double a, double b, double c)
        {
            double delta = b * b - 4 * a * c;
            if (delta < 0) throw new Exception("Brak rozwiązań");
            double x1 = (-b - Math.Sqrt(delta)) / (2 * a);
            double x2 = (-b + Math.Sqrt(delta)) / (2 * a);
            return new Tuple<double, double>(x1, x2);
        }
        */
    }
}
